Skip to main content
PATCH
/
api
/
packages
/
{id}
Update a package
curl --request PATCH \
  --url https://clarus-api.com/api/packages/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "packages",
    "attributes": {
      "shipment_id": 1530,
      "storage_unit_type_id": 12,
      "tracking_number": "1Z999AA10123456784",
      "dimensions": {
        "unit_of_measure": "centimetre",
        "length": 120,
        "width": 80,
        "height": 120,
        "weight": 15.5,
        "weight_unit_of_measure": "kilogram"
      }
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "packages",
    "attributes": {
      "tracking_number": "1Z999AA10123456784",
      "storage_unit_id": null
    }
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the package

Body

application/json
data
object
required

Response

Updated successfully

The response is of type object.